Bug 44353 - Update port: science/gdis to 0.77.0
Summary: Update port: science/gdis to 0.77.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-10-21 19:50 UTC by tkato
Modified: 2002-10-24 14:36 UTC (History)
0 users

See Also:


Attachments
file.diff (2.98 KB, patch)
2002-10-21 19:50 UTC, tkato
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato 2002-10-21 19:50:10 UTC
- Update to version 0.77.0

Remove file:
files/patch-gdis.h
Comment 1 Adam Weinberger freebsd_committer 2002-10-21 20:35:14 UTC
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

>> (10.21.2002 @ 1147 PST): KATO Tsuguru said, in 3.7K: <<
> +		 s|gtk-config|${GTK_CONFIG}|g ; \
> +		 s|-I/usr/local/include||g ; \
> +		 s|-lgtkgl|-lgtkgl ${PTHREAD_LIBS:S/"//g}|g ; \
> +		 s|-DGTK_GL|-DGTK_GL ${PTHREAD_CFLAGS}|g' ${WRKSRC}/Makefile
> +	@${FIND} ${WRKSRC} -name "*.c" | ${XARGS} ${REINPLACE_CMD} -e \
> +		's|<sys/dir.h>|<dirent.h>|g ; \
> +		 s|struct direct|struct dirent|g'
>> end of "ports/44353: Update port: science/gdis to 0.77.0" from KATO Tsuguru <<

these can be removed in favor of adding 'gnomehack' to USE_GNOME.

- -Adam
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.0 (FreeBSD)

iD8DBQE9tFbyo8KM2ULHQ/0RAhIuAJwI9AKyg4l+vgkBo3BNmPJEoY/x3gCeLJ2h
w3rHHJU8tsvXfg5PE2YIHh4=
=q0i0
-----END PGP SIGNATURE-----
Comment 2 tkato 2002-10-21 21:13:38 UTC
On Mon, 21 Oct 2002 12:40:03 -0700 (PDT)
Adam Weinberger <adamw@FreeBSD.ORG> wrote:
  
>  these can be removed in favor of adding 'gnomehack' to USE_GNOME.

Unfortunately, 'gnomehack' cannot be a substitute for these regex.
You had better compare this with bsd.gnomeng.mk carefully.
Comment 3 dwcjr freebsd_committer 2002-10-24 14:36:03 UTC
State Changed
From-To: open->closed

Committed, thanks!